com.hazelcast.util.scheduler

## Enum ScheduleType

- java.lang.Object
- - java.lang.Enum<ScheduleType>
  - - com.hazelcast.util.scheduler.ScheduleType

- All Implemented Interfaces:
    Serializable, Comparable<ScheduleType>

      public enum ScheduleType
      extends Enum<ScheduleType>

  Controls behaviour of `SecondsBasedEntryTaskScheduler` when a new entry is added under already existing key.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FOR_EACH` Always add a new entry even when there is one already scheduled under a given key.
    `POSTPONE` If there is an entry already scheduled under a given key then the existing entry will be removed and a new one will be scheduled instead.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScheduleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ScheduleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POSTPONE

          public static final ScheduleType POSTPONE

      If there is an entry already scheduled under a given key then the existing entry will be removed and a new one will be scheduled instead.

    - #### FOR_EACH

          public static final ScheduleType FOR_EACH

      Always add a new entry even when there is one already scheduled under a given key. The existing entry won't be affected.

  - ### Method Detail

    - #### values

          public static ScheduleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScheduleType c : ScheduleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScheduleType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020. All rights reserved.